Page MenuHomewrite.as

Add ability to change post font in Pad
Closed, ResolvedPublic

Description

Overview

User should be able to change the font of new and existing posts.

Functionality

Drafts (new and existing) should save the post's current font along with the post content. New drafts should change the editor's default font when the font is changed, i.e. the editor should retain the last-selected font as the default font for subsequent new posts.

Design

Header bar should have a (disappearing on non-hover) font icon with a down arrow next to it. Hovering over this shows a list, similar to the Publish To list, with the names of each font in it's respective font face:

  • Serif (norm)
  • Sans-serif (sans)
  • Typewriter (wrap)

Event Timeline

matt created this task.Sep 7 2015, 9:54 PM
matt updated the task description. (Show Details)
matt raised the priority of this task from to Normal.
matt claimed this task.
matt added a project: Write.as Web.
matt moved this task to Next Up on the Write.as Web board.
matt changed the visibility from "All Users" to "Public (No Login Required)".
matt added a subscriber: matt.
matt added a project: Pad.Sep 24 2015, 9:57 PM
matt raised the priority of this task from Normal to High.Sep 24 2015, 10:08 PM
matt lowered the priority of this task from High to Low.Nov 1 2015, 8:56 PM

Client improvements will resume after Collections updates.

matt moved this task from Backlog to New Functionality on the Pad board.Mar 24 2016, 5:11 PM
matt raised the priority of this task from Low to Normal.Apr 4 2016, 7:15 PM
matt updated the task description. (Show Details)Apr 11 2016, 4:58 PM
matt closed this task as Resolved.May 8 2016, 6:40 AM